Get document templates Run in API Explorer
Ask AI
GET
/api/v1/document-template
curl \
--request GET 'https://api.plannrcrm.com/api/v1/document-template' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "f7c04efb-7ace-46e8-aada-06afb1793785",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"version": 3,
"name": "Welcome Template",
"required_dependants": {
"client-1": "client"
},
"public_docx_url": "https://api.plannrcrm.com/document-template/16ab56bb-8727-44c8-a794-c3be4b7a2ddd/content/docx?plannr_account_uuid=83c3eb0f-5e1d-4302-a7db-c7c4d9589de3",
"public_sfdt_url": "https://api.plannrcrm.com/document-template/74beee0d-70a5-4355-896f-843bc8282475/content/sfdt?plannr_account_uuid=0cf64021-4cab-4c94-81ed-f6da1104f152",
"public_pdf_url": "https://api.plannrcrm.com/document-template/5cee5c73-3cc9-4239-82c7-244c70b52eb2/content/pdf?plannr_account_uuid=3dc9e683-1e99-4202-a32c-ae5f20614607",
"public_preview_url": "https://api.plannrcrm.com/document-template/e9683bfb-69b9-4592-b407-43ec778571d6/content/preview?plannr_account_uuid=1811a02f-8ab4-4164-ad53-c9c1438f360d"
}
]
]
}